/*
 * Class OBJECT_GRAPH_TRAVERSABLE
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_48 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_48 [] = {0xFF01,237,47,0xFFFF};
static const EIF_TYPE_INDEX egt_2_48 [] = {0xFF01,47,0xFFFF};
static const EIF_TYPE_INDEX egt_3_48 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_48 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_48 [] = {0xFF01,47,0xFFFF};
static const EIF_TYPE_INDEX egt_6_48 [] = {0xFF01,47,0xFFFF};
static const EIF_TYPE_INDEX egt_7_48 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_48 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_48 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_48 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_48 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_48 [] = {0xFF01,47,0xFFFF};
static const EIF_TYPE_INDEX egt_13_48 [] = {238,0xFF01,0,0xFF01,0xFFF9,1,174,0xFF01,135,0xFFFF};
static const EIF_TYPE_INDEX egt_14_48 [] = {238,0xFF01,0,0xFF01,0xFFF9,2,174,0xFF01,135,0xFF01,135,0xFFFF};
static const EIF_TYPE_INDEX egt_15_48 [] = {238,0xFF01,0,0xFF01,0xFFF9,1,174,0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_16_48 [] = {261,0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_17_48 [] = {310,206,206,0xFFFF};
static const EIF_TYPE_INDEX egt_18_48 [] = {0xFF01,321,0xFF01,0,0xFFFF};


static const struct desc_info desc_48[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_48), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_48), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_48), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_48), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_48), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_48), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_48), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_48), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_48), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_48), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_48), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_48), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x5F /*47*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_48), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 1082, 0},
	{EIF_GENERIC(egt_13_48), 1083, 4},
	{EIF_GENERIC(egt_14_48), 1084, 8},
	{EIF_GENERIC(egt_15_48), 1085, 12},
	{EIF_GENERIC(egt_16_48), 1086, 16},
	{EIF_GENERIC(egt_17_48), 1087, 20},
	{EIF_NON_GENERIC(0x017F /*191*/), 1088, 24},
	{EIF_NON_GENERIC(0x017F /*191*/), 1089, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1090, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1091, 25},
	{EIF_NON_GENERIC(0x017F /*191*/), 1092, 26},
	{EIF_NON_GENERIC(0x017F /*191*/), 1093, 27},
	{EIF_NON_GENERIC(0x017F /*191*/), 1094, 28},
	{EIF_NON_GENERIC(0x017F /*191*/), 1095, 29},
	{EIF_GENERIC(NULL), 1096, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1097, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1098, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1099, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1100, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1101, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1102, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1103, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1104, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1105, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_48), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1106, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1107, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1108, 0xFFFFFFFF},
};
void Init48(void)
{
	IDSC(desc_48, 0, 47);
	IDSC(desc_48 + 1, 1, 47);
	IDSC(desc_48 + 32, 292, 47);
}


#ifdef __cplusplus
}
#endif
